---------------------
PatchSet 1544 
Date: 2001/02/10 17:32:48
Author: hno
Branch: auth_rewrite
Tag: (none) 
Log:
ran indent

Members: 
	include/rfc2617.h:1.1.20.1->1.1.20.2 
	lib/rfc2617.c:1.1.20.1->1.1.20.2 
	src/acl.c:1.1.1.3.12.26.2.40->1.1.1.3.12.26.2.41 
	src/protos.h:1.1.1.3.12.17.2.24->1.1.1.3.12.17.2.25 
	src/auth/basic/auth_basic.c:1.1.2.31->1.1.2.32 
	src/auth/digest/auth_digest.c:1.1.20.2->1.1.20.3 
	src/auth/digest/auth_digest.h:1.1.20.1->1.1.20.2 
	src/auth/digest/helpers/password/digest_pw_auth.c:1.1.8.1->1.1.8.2 
	src/auth/ntlm/auth_ntlm.c:1.1.2.35->1.1.2.36 
	src/auth/ntlm/helpers/NTLMSSP/libntlmssp.c:1.1.2.5->1.1.2.6 
	src/auth/ntlm/helpers/NTLMSSP/ntlm.h:1.1.2.4->1.1.2.5 
	src/auth/ntlm/helpers/NTLMSSP/ntlm_auth.c:1.1.2.11->1.1.2.12 
	src/auth/ntlm/helpers/NTLMSSP/smbval/smblib.c:1.1.2.3->1.1.2.4 

Index: squid/lib/rfc2617.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/rfc2617.c,v
retrieving revision 1.1.20.1
retrieving revision 1.1.20.2
diff -u -r1.1.20.1 -r1.1.20.2
--- squid/lib/rfc2617.c	23 Jan 2001 23:03:53 -0000	1.1.20.1
+++ squid/lib/rfc2617.c	10 Feb 2001 17:32:48 -0000	1.1.20.2
@@ -50,127 +50,128 @@
 #include <string.h>
 #include "rfc2617.h"
 
-void CvtHex(const HASH Bin, HASHHEX Hex )
+void 
+CvtHex(const HASH Bin, HASHHEX Hex)
 {
     unsigned short i;
     unsigned char j;
 
     for (i = 0; i < HASHLEN; i++) {
-        j = (Bin[i] >> 4) & 0xf;
-        if (j <= 9)
-            Hex[i*2] = (j + '0');
-         else
-            Hex[i*2] = (j + 'a' - 10);
-        j = Bin[i] & 0xf;
-        if (j <= 9)
-            Hex[i*2+1] = (j + '0');
-         else
-            Hex[i*2+1] = (j + 'a' - 10);
+	j = (Bin[i] >> 4) & 0xf;
+	if (j <= 9)
+	    Hex[i * 2] = (j + '0');
+	else
+	    Hex[i * 2] = (j + 'a' - 10);
+	j = Bin[i] & 0xf;
+	if (j <= 9)
+	    Hex[i * 2 + 1] = (j + '0');
+	else
+	    Hex[i * 2 + 1] = (j + 'a' - 10);
     };
     Hex[HASHHEXLEN] = '\0';
 };
 
-void CvtBin(const HASHHEX Hex, HASH Bin)
+void 
+CvtBin(const HASHHEX Hex, HASH Bin)
 {
     unsigned short i;
     unsigned char j;
 
     for (i = 0; i < HASHHEXLEN; i++) {
-        j = Hex[i];
-        if (('0' <=j) && (j <= '9'))
-            Bin[i/2] |= ((j - '0') << ((i%2 ==0) ? 4:0));
-         else
-            Bin[i/2] |= ((j - 'a'+10) << ((i%2==0)?4:0));
+	j = Hex[i];
+	if (('0' <= j) && (j <= '9'))
+	    Bin[i / 2] |= ((j - '0') << ((i % 2 == 0) ? 4 : 0));
+	else
+	    Bin[i / 2] |= ((j - 'a' + 10) << ((i % 2 == 0) ? 4 : 0));
     };
     Bin[HASHLEN] = '\0';
 };
 
 
 /* calculate H(A1) as per spec */
-void DigestCalcHA1(
-    const char * pszAlg,
-    const char * pszUserName,
-    const char * pszRealm,
-    const char * pszPassword,
-    const char * pszNonce,
-    const char * pszCNonce,
+void 
+DigestCalcHA1(
+    const char *pszAlg,
+    const char *pszUserName,
+    const char *pszRealm,
+    const char *pszPassword,
+    const char *pszNonce,
+    const char *pszCNonce,
     HASH HA1,
     HASHHEX SessionKey
-    )
+)
 {
-      MD5_CTX Md5Ctx;
+    MD5_CTX Md5Ctx;
 
-      if (pszUserName)
-      {
-          MD5Init(&Md5Ctx);
-          MD5Update(&Md5Ctx, pszUserName, strlen(pszUserName));
-          MD5Update(&Md5Ctx, ":", 1);
-          MD5Update(&Md5Ctx, pszRealm, strlen(pszRealm));
-          MD5Update(&Md5Ctx, ":", 1);
-          MD5Update(&Md5Ctx, pszPassword, strlen(pszPassword));
-          MD5Final(HA1, &Md5Ctx);
-      }
-      if (stricmp(pszAlg, "md5-sess") == 0) {
-            MD5Init(&Md5Ctx);
-            MD5Update(&Md5Ctx, HA1, HASHLEN);
-            MD5Update(&Md5Ctx, ":", 1);
-            MD5Update(&Md5Ctx, pszNonce, strlen(pszNonce));
-            MD5Update(&Md5Ctx, ":", 1);
-            MD5Update(&Md5Ctx, pszCNonce, strlen(pszCNonce));
-            MD5Final(HA1, &Md5Ctx);
-      };
-      CvtHex(HA1, SessionKey);
+    if (pszUserName) {
+	MD5Init(&Md5Ctx);
+	MD5Update(&Md5Ctx, pszUserName, strlen(pszUserName));
+	MD5Update(&Md5Ctx, ":", 1);
+	MD5Update(&Md5Ctx, pszRealm, strlen(pszRealm));
+	MD5Update(&Md5Ctx, ":", 1);
+	MD5Update(&Md5Ctx, pszPassword, strlen(pszPassword));
+	MD5Final(HA1, &Md5Ctx);
+    }
+    if (stricmp(pszAlg, "md5-sess") == 0) {
+	MD5Init(&Md5Ctx);
+	MD5Update(&Md5Ctx, HA1, HASHLEN);
+	MD5Update(&Md5Ctx, ":", 1);
+	MD5Update(&Md5Ctx, pszNonce, strlen(pszNonce));
+	MD5Update(&Md5Ctx, ":", 1);
+	MD5Update(&Md5Ctx, pszCNonce, strlen(pszCNonce));
+	MD5Final(HA1, &Md5Ctx);
+    };
+    CvtHex(HA1, SessionKey);
 };
 
 /* calculate request-digest/response-digest as per HTTP Digest spec */
-void DigestCalcResponse(
-    const HASHHEX HA1,           /* H(A1) */
-    const char * pszNonce,       /* nonce from server */
-    const char * pszNonceCount,  /* 8 hex digits */
-    const char * pszCNonce,      /* client nonce */
-    const char * pszQop,         /* qop-value: "", "auth", "auth-int" */
-    const char * pszMethod,      /* method from the request */
-    const char * pszDigestUri,   /* requested URL */
-    const HASHHEX HEntity,       /* H(entity body) if qop="auth-int" */
-    HASHHEX Response      /* request-digest or response-digest */
-    )
+void 
+DigestCalcResponse(
+    const HASHHEX HA1,		/* H(A1) */
+    const char *pszNonce,	/* nonce from server */
+    const char *pszNonceCount,	/* 8 hex digits */
+    const char *pszCNonce,	/* client nonce */
+    const char *pszQop,		/* qop-value: "", "auth", "auth-int" */
+    const char *pszMethod,	/* method from the request */
+    const char *pszDigestUri,	/* requested URL */
+    const HASHHEX HEntity,	/* H(entity body) if qop="auth-int" */
+    HASHHEX Response		/* request-digest or response-digest */
+)
 {
-      MD5_CTX Md5Ctx;
-      HASH HA2;
-      HASH RespHash;
-      HASHHEX HA2Hex;
-
-      /*  calculate H(A2)
-       */
-      MD5Init(&Md5Ctx);
-      MD5Update(&Md5Ctx, pszMethod, strlen(pszMethod));
-      MD5Update(&Md5Ctx, ":", 1);
-      MD5Update(&Md5Ctx, pszDigestUri, strlen(pszDigestUri));
-      if (stricmp(pszQop, "auth-int") == 0) {
-            MD5Update(&Md5Ctx, ":", 1);
-            MD5Update(&Md5Ctx, HEntity, HASHHEXLEN);
-      };
-      MD5Final(HA2, &Md5Ctx);
-       CvtHex(HA2, HA2Hex);
-
-      /* calculate response
-       */
-      MD5Init(&Md5Ctx);
-      MD5Update(&Md5Ctx, HA1, HASHHEXLEN);
-      MD5Update(&Md5Ctx, ":", 1);
-      MD5Update(&Md5Ctx, pszNonce, strlen(pszNonce));
-      MD5Update(&Md5Ctx, ":", 1);
-      if (*pszQop) {
-          MD5Update(&Md5Ctx, pszNonceCount, strlen(pszNonceCount));
-          MD5Update(&Md5Ctx, ":", 1);
-          MD5Update(&Md5Ctx, pszCNonce, strlen(pszCNonce));
-          MD5Update(&Md5Ctx, ":", 1);
-          MD5Update(&Md5Ctx, pszQop, strlen(pszQop));
-          MD5Update(&Md5Ctx, ":", 1);
-      };
-      MD5Update(&Md5Ctx, HA2Hex, HASHHEXLEN);
-      MD5Final(RespHash, &Md5Ctx);
-      CvtHex(RespHash, Response);
-};
-
+    MD5_CTX Md5Ctx;
+    HASH HA2;
+    HASH RespHash;
+    HASHHEX HA2Hex;
+
+    /*  calculate H(A2)
+     */
+    MD5Init(&Md5Ctx);
+    MD5Update(&Md5Ctx, pszMethod, strlen(pszMethod));
+    MD5Update(&Md5Ctx, ":", 1);
+    MD5Update(&Md5Ctx, pszDigestUri, strlen(pszDigestUri));
+    if (stricmp(pszQop, "auth-int") == 0) {
+	MD5Update(&Md5Ctx, ":", 1);
+	MD5Update(&Md5Ctx, HEntity, HASHHEXLEN);
+    };
+    MD5Final(HA2, &Md5Ctx);
+    CvtHex(HA2, HA2Hex);
 
+    /* calculate response
+     */
+    MD5Init(&Md5Ctx);
+    MD5Update(&Md5Ctx, HA1, HASHHEXLEN);
+    MD5Update(&Md5Ctx, ":", 1);
+    MD5Update(&Md5Ctx, pszNonce, strlen(pszNonce));
+    MD5Update(&Md5Ctx, ":", 1);
+    if (*pszQop) {
+	MD5Update(&Md5Ctx, pszNonceCount, strlen(pszNonceCount));
+	MD5Update(&Md5Ctx, ":", 1);
+	MD5Update(&Md5Ctx, pszCNonce, strlen(pszCNonce));
+	MD5Update(&Md5Ctx, ":", 1);
+	MD5Update(&Md5Ctx, pszQop, strlen(pszQop));
+	MD5Update(&Md5Ctx, ":", 1);
+    };
+    MD5Update(&Md5Ctx, HA2Hex, HASHHEXLEN);
+    MD5Final(RespHash, &Md5Ctx);
+    CvtHex(RespHash, Response);
+};
Index: squid/src/acl.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/acl.c,v
retrieving revision 1.1.1.3.12.26.2.40
retrieving revision 1.1.1.3.12.26.2.41
diff -u -r1.1.1.3.12.26.2.40 -r1.1.1.3.12.26.2.41
--- squid/src/acl.c	8 Feb 2001 08:18:54 -0000	1.1.1.3.12.26.2.40
+++ squid/src/acl.c	10 Feb 2001 17:32:48 -0000	1.1.1.3.12.26.2.41
@@ -1,6 +1,8 @@
 
+
+
 /*
- * $Id: acl.c,v 1.1.1.3.12.26.2.40 2001/02/08 08:18:54 rbcollins Exp $
+ * $Id: acl.c,v 1.1.1.3.12.26.2.41 2001/02/10 17:32:48 hno Exp $
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
Index: squid/src/protos.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/protos.h,v
retrieving revision 1.1.1.3.12.17.2.24
retrieving revision 1.1.1.3.12.17.2.25
diff -u -r1.1.1.3.12.17.2.24 -r1.1.1.3.12.17.2.25
--- squid/src/protos.h	23 Jan 2001 10:14:21 -0000	1.1.1.3.12.17.2.24
+++ squid/src/protos.h	10 Feb 2001 17:32:49 -0000	1.1.1.3.12.17.2.25
@@ -1,6 +1,6 @@
 
 /*
- * $Id: protos.h,v 1.1.1.3.12.17.2.24 2001/01/23 10:14:21 rbcollins Exp $
+ * $Id: protos.h,v 1.1.1.3.12.17.2.25 2001/02/10 17:32:49 hno Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -744,7 +744,7 @@
 extern void authenticateFreeProxyAuthUserACLResults(void *data);
 extern void authenticateProxyUserCacheCleanup(void *);
 extern void authenticateInitUserCache();
-#if GLOBALPROXYCACHE 
+#if GLOBALPROXYCACHE
 extern void authenticateProxyAuthCacheAddLink(const char *key, auth_user_t *);
 #endif
 extern int authenticateActiveSchemeCount();
